<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd" version="2.4">
  <display-name>FilterModule</display-name>


  <filter>
    <filter-name>stopgamesfilter</filter-name>
    <filter-class>chapter12.StopGamesFilter</filter-class>
    <init-param>
      <param-name>starthour</param-name>
      <param-value>8</param-value>
    </init-param>
    <init-param>
      <param-name>stophour</param-name>
      <param-value>9</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>stopgamesfilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
</web-app>
